| Wireshark 4.7.3 The Wireshark network protocol analyzer

Loading...
Searching...
No Matches
Functions
time_shift.h File Reference
`#include <epan/cfile.h>`
`#include <wsutil/nstime.h>`

Go to the source code of this file.

## Functions
const char * | time_string_parse (const char *time_text, int *year, int *month, int *day, bool *negative, int *hour, int *minute, long double *second)
| Parse a time string and fill in each component.
const char * | time_shift_all (capture_file *cf, const char *offset_text)
| Shift all packets by an offset.
const char * | time_shift_settime (capture_file *cf, unsigned packet_num, const char *time_text)
| Set the time for a single packet.
const char * | time_shift_adjtime (capture_file *cf, unsigned packet1_num, const char *time1_text, unsigned packet2_num, const char *time2_text)
| Set the time for two packets and extrapolate the rest.
const char * | time_shift_undo (capture_file *cf)
| Reset the times for all packets.

## Detailed Description

Submitted by Edwin Groothuis wires.nosp@m.hark.nosp@m.@mave.nosp@m.tju..nosp@m.org

Wireshark - Network traffic analyzer By Gerald Combs geral.nosp@m.d@wi.nosp@m.resha.nosp@m.rk.o.nosp@m.rg Copyright 1998 Gerald Combs

SPDX-License-Identifier: GPL-2.0-or-later

## Function Documentation

## ◆ time_shift_adjtime()

const char * time_shift_adjtime | ( | capture_file * | cf,
|  | unsigned | packet1_num,
|  | const char * | time1_text,
|  | unsigned | packet2_num,
|  | const char * | time2_text )

Set the time for two packets and extrapolate the rest.

Parameters

  cf | Capture file to set
  packet1_num | First packet to set
  time1_text | String representation of the first packet time
  packet2_num | Second packet to set
  time2_text | String representation of the second packet time

Returns
  NULL on success or an error description on failure.

## ◆ time_shift_all()

const char * time_shift_all | ( | capture_file * | cf,
|  | const char * | offset_text )

Shift all packets by an offset.

Parameters

  cf | Capture file to shift
  offset_text | String representation of the offset.

Returns
  NULL on success or an error description on failure.

## ◆ time_shift_settime()

const char * time_shift_settime | ( | capture_file * | cf,
|  | unsigned | packet_num,
|  | const char * | time_text )

Set the time for a single packet.

Parameters

  cf | Capture file to set
  packet_num | Packet to set
  time_text | String representation of the time

Returns
  NULL on success or an error description on failure.

## ◆ time_shift_undo()

const char * time_shift_undo | ( | capture_file * | cf | ) |

Reset the times for all packets.

Parameters

  cf | Capture file to set

Returns
  NULL on success or an error description on failure.

## ◆ time_string_parse()

const char * time_string_parse | ( | const char * | time_text,
|  | int * | year,
|  | int * | month,
|  | int * | day,
|  | bool * | negative,
|  | int * | hour,
|  | int * | minute,
|  | long double * | second )

Parse a time string and fill in each component.

If year, month, and day are non-NULL a full time format "[YYYY-MM-DD] hh:mm:ss[.decimals]" is allowed. Otherwise an offset format "[-][[hh:]mm:]ss[.decimals]" is allowed.

Parameters

  time_text | Time string
  year | Year. May be NULL
  month | Month. May be NULL
  day | Day. May be NULL.
  negative | Time offset is negative. May be NULL if year, month, and day are not NULL.
  hour | Hours. Must not be NULL.
  minute | Minutes. Must not be NULL.
  second | Seconds. Must not be NULL.

Returns
  NULL on success or an error description on failure.